POST/api/v2/crypto-virtual-accounts/crypto-address-book

POST /api/v2/crypto-virtual-accounts/crypto-address-book

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
userId (query)unknownNo

Request body

application/json

Request body fields
FieldTypeRequiredDescription
namestringNo
currencystringNo
chain_idunknownNo
addressstringNo

Responses

201 — Created

Response 201 fields
FieldTypeRequiredDescription
IdunknownNo
TypestringNo
ReferencestringNo
NamestringNo
Currenciesarray of stringNo
chain_idunknownNo
AddressstringNo
account_number_hintstringNo
account_holder_name_hintstringNo
bank_namestringNo
CountrystringNo
beneficiary_typestringNo
payment_railstringNo
EnabledbooleanNo
created_atstring (date-time)No

Example request

curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts/crypto-address-book" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'

This page is generated from the live OpenAPI specification and always matches the current API.